#include <id3/tag.h>
#include <id3/misc_support.h>

char* spl_getartist(const char *filename){
	char *artist = new char[500];
	const ID3_Tag*  temptag = new ID3_Tag(filename);
	if ( temptag->HasV1Tag() || temptag->HasV2Tag()  ){
		 artist = ID3_GetArtist(temptag);
	}
	delete temptag;
	
	return(artist);
}

char* spl_gettitle(const char *filename){
	char *title = new char[500];
	const ID3_Tag*  temptag = new ID3_Tag(filename);
	if ( temptag->HasV1Tag() || temptag->HasV2Tag()  ){
		 title = ID3_GetTitle(temptag);
	}
	delete temptag;
	
	return(title);
}