#include <vector.h> // vectors(used for the playlist)
#include <string> // STL strings, used for filenames in playlists
#include <fstream.h> // ifstream
#include <curses.h>

#include "spl.h"

vector<string> plist(10);
#ifdef DEBUG
	extern ofstream dlog("dlog.txt"); // Note: make sure your dir is writeable by you
	extern static int useful = 0; // I use it somewhere
#endif // DEBUG

void initlist(vector<string> &o_list,const char *list, bool ran = false){
	int lsize = 0;
	ifstream plist;
	plist.open(list,ios::nocreate);
 	if(plist.fail()){
 		endwin();
 		cout << endl << "Playlist does not exist! \n";
 		return;
 	}
 		
	#ifdef DEBUG // this is test code, just want to see what happens
		dlog << "DEBUG ENTRY FOR LIST BUILD" << endl;
	#endif
	
	ifstream dlist(list);
	string mr_bob;
	while(!dlist.fail() && !dlist.eof()){
		getline(dlist,mr_bob);
		lsize++;
		
		#ifdef DEBUG
			dlog << "\t list size is equal to : " << lsize << endl;
		#endif DEBUG
	}
		

	o_list.resize(lsize - 1);
	
	#ifdef DEBUG
		dlog << "List size after build : " << o_list.size();
		dlog << endl << endl;
	#endif
		
	for(int i=0;((!plist.eof()) && (o_list.capacity() != i));i++){
		getline(plist,o_list[i]);
	}
	if(ran){
	  int i,p,c;
  	time_t t;
  	c = o_list.size() - 1;
  	
  	srand(time(&t));
	  string ugh;
  	for(i=c;i>0;i--){
	    p=rand()%i;
	    ugh=o_list[p];
 	   o_list[p]=o_list[i];
  	  o_list[i]=ugh;
		}
	}
}
